## ntopng 3.8+dfsg1

=== doc/nedge/src/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  release    to make standalone HTML files for ntop documentation release"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: release
release:
	make clean
	@{ \
		git_root=$$(git rev-parse --show-toplevel);\
		version=$$(grep -Po '^NTOPNG_SHORT_VERSION="\K.+(?=")' $${git_root}/configure.ac);\
		echo Release version $${version};\
		sed -i "s/version = u'.*'/version = u'$${version}'/" conf.py;\
		sed -i "s/release = u'.*'/release = u'$${version}'/" conf.py;\
	}
	make html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ntop.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ntop.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ntop"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ntop"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/src/doxygen/Makefile ===
.PHONY: all
.SUFFIXES: .lua .lua.cpp

# ######################################## #

# ntopng root
ROOT_DIR=../../..
# ntopng Lua modules dir
MODULES_DIR=$(ROOT_DIR)/scripts/lua/modules/
# Lua API doc directory
LUA_API_DIR=../api/lua

# Automatic rules for Lua C API
DOC_SOURCES = $(shell find ../api/lua_c/ -type f -name *.lua)
TARGETS = $(DOC_SOURCES:.lua=.lua.cpp)

# Specific rule for Lua API to document
TARGETS += $(LUA_API_DIR)/timeseries/ts_utils.lua.cpp
TARGETS += $(LUA_API_DIR)/timeseries/driver.lua.cpp
TARGETS += $(LUA_API_DIR)/recording/recording_utils.lua.cpp

# ######################################## #

all: $(TARGETS)
	#grep "//Lua" ../../../src/Lua.cpp | sed -e 's/^[[:space:]]*\/\/Lua //' > api.lua.cpp
	doxygen Doxyfile

%.lua.cpp : %.lua
	./lua2dox $< > $@

clean:
	rm -rf html xml

# ######################################## #

# Specific rule for Lua API to document
$(LUA_API_DIR)/timeseries/ts_utils.lua.cpp : ${MODULES_DIR}/timeseries/ts_utils_core.lua
	./lua2dox $< > $@

$(LUA_API_DIR)/timeseries/driver.lua.cpp : ${MODULES_DIR}/timeseries/drivers/sample.lua
	./lua2dox $< > $@

$(LUA_API_DIR)/recording/recording_utils.lua.cpp : ${MODULES_DIR}/recording_utils.lua
	./lua2dox $< > $@

=== debian/changelog ===
ntopng (3.8+dfsg1-2.1build3) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 13 Aug 2019 03:10:48 +0000

ntopng (3.8+dfsg1-2.1build2) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:59:41 +0200

ntopng (3.8+dfsg1-2.1build1) disco; urgency=medium

  * No-change rebuild against mysql 5.7, reverting the deferred mysql-
    8.0 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Feb 2019 10:47:32 -0800

ntopng (3.8+dfsg1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add build-depends on libssl-dev (Closes: 920648)

 -- Peter Michael Green <plugwash@debian.org>  Mon, 04 Feb 2019 01:10:39 +0000

ntopng (3.8+dfsg1-2) unstable; urgency=medium

  * Fix missing space in postinst migration script (Closes: #920281).
  * Delete ntopng user, group, /var/lib/ntopng, /var/log/ntopng during purge.
  * Set appropriate permissions for /var/log/ntopng.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 26 Jan 2019 00:36:22 -0800

ntopng (3.8+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.8+dfsg1 (Closes: #919907, #910859, #903154,
    #887318, CVE-2018-12520).
  * Drop get-orig-source target in favor of Files-Excluded in the copyright
    file.
  * Remove third-party/lua-5.* as we build against the system one.
  * Build-Depend against liblua5.3-dev.
  * Update copyright information.
  * Refresh patches and remove internal-luajit.patch (no longer applicable).
  * Update Build-Depend against libndpi-dev >= 2.6
  * Build-depend on libmaxminddb-dev.
  * Add use-system-lua.patch to use system liblua insetad of the embedded one.
  * Bump Build-Dep on debhelper >= 10.8 to support the --doc-main-package
    option of dh_installdocs.
  * Migrate datadir from /var/tmp/ntopng to /var/lib/ntopng in postinst.
  * Use system libjs-html5shiv, libjs-jquery, and libjs-jquery-ui.
  * Make ntopng-utils-manage-config executable (needed for the web UI to be
    able to backup/restore the configuration).
  * Change systemd Restart to on-abnormal.
  * Update the list of README to install as docs.
  * Generate html documentation and register it with doc-base. Split
    documentation into ntopng-doc package.
  * Update Vcs headers to point to salsa.debian.org.
  * Remove httpdocs/geoip/README as recommended by lintian.
  * Bump Standards-Version to 4.3.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 21 Jan 2019 17:46:18 -0800

=== debian/control ===
Source: ntopng
Section: net
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: autoconf,
               automake,
               coffeescript,
               debhelper (>= 10.8~),
               default-libmysqlclient-dev,
               doxygen,
               dpkg (>= 1.15.7.2),
               libcap-dev,
               libcurl4-gnutls-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjson-c-dev,
               liblua5.3-dev,
               libmaxminddb-dev,
               libndpi-dev (>= 2.6),
               libpcap-dev,
               librrd-dev,
               libsqlite3-dev,
               libzmq3-dev,
               node-source-map,
               node-uglify,
               pkg-config,
               python3-breathe,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               libssl-dev,
Standards-Version: 4.3.0
Homepage: http://www.ntop.org/products/ntop/
Vcs-Git: https://salsa.debian.org/debian/ntopng.git
Vcs-Browser: https://salsa.debian.org/debian/ntopng

Package: ntopng
Architecture: any
Depends:
    adduser,
    ${misc:Depends},
    ${shlibs:Depends},
    lsb-base (>= 3.0-6),
    ntopng-data (= ${source:Version}),
    redis-server (>= 2.6),
Suggests: geoip-database-contrib (>= 1.12)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 What ntopng can do:
  * Sort network traffic according to many protocols
  * Show network traffic and IPv4/v6 active hosts
  * Store on disk persistent traffic statistics in RRD format
  * Geolocate hosts
  * Discover application protocols by leveraging on nDPI, ntop’s DPI
    framework
  * Characterise HTTP traffic by leveraging on characterisation services
    provided by block.si. ntopng comes with a demo characterisation key, but if
    you need a permanent one, please mail info@block.si
  * Show IP traffic distribution among the various protocols
  * Analyse IP traffic and sort it according to the source/destination
  * Display IP Traffic Subnet matrix (who’s talking to who?)
  * Report IP protocol usage sorted by protocol type
  * Act as a NetFlow/sFlow collector for flows generated by routers (e.g.
    Cisco and Juniper) or switches (e.g. Foundry Networks) when used together
    with nProbe
  * Produce HTML5/AJAX network traffic statistics

Package: ntopng-data
Architecture: all
Multi-Arch: foreign
Depends: fonts-font-awesome,
         libjs-bootstrap,
         libjs-html5shiv,
         libjs-jquery,
         libjs-jquery-form,
         libjs-jquery-tablesorter,
         libjs-jquery-ui,
         libjs-rickshaw,
         libwireshark-data,
         ${misc:Depends},
Recommends: ntopng (= ${binary:Version})
Breaks: ntopng (<< 3.2)
Replaces: ntopng (<< 3.2)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the architecture independent files for the ntopng
 daemon.

Package: ntopng-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
    libjs-jquery,
    libjs-underscore,
    sphinx-rtd-theme-common,
    ${misc:Depends},
Recommends: ntopng (= ${binary:Version})
Breaks: ntopng-data (<< 3.8)
Replaces: ntopng-data (<< 3.8)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (documentation)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the documentation for the ntopng daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with systemd

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_auto_build:
	# Make sure we rebuild the minified files from the upstream tarball.
	$(MAKE) -C httpdocs/js clean
	$(MAKE) -C httpdocs/js minify
	dh_auto_build
	mkdir -p debian/generated-code/
	coffee -c -o debian/generated-code/ debian/missing-sources/gauge.coffee
	$(MAKE) -C doc/src release

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs -pntopng
	dh_installdocs -pntopng-data
	dh_installdocs -pntopng-doc --doc-main-package=ntopng --exclude=fonts

override_dh_strip:
	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'

override_dh_install-indep:
	dh_install --indep \
	    --exclude=.source-map.js \
	    --exclude=EtherOUI.txt \
	    --exclude=Makefile \
	    --exclude=README.gauge \
	    --exclude=font-awesome \
	    --exclude=redis.lua \
	    --exclude=scripts/lua/modules/i18n \
	    --exclude=scripts/lua/modules/resty
	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/bootstrap
	find $(CURDIR)/debian/ntopng-data/usr/share -type f -exec chmod a-x {} \;
	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl
	chmod +x $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/misc/ntopng-add-user.sh
	rm -f $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/geoip/README
	chmod +x $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/misc/ntopng-utils-manage-config

override_dh_install-arch:
	dh_install --arch

override_dh_auto_clean:
	dh_auto_clean
	rm -fr debian/generated-code/


.PHONY: override_dh_auto_install override_dh_strip override_dh_install-indep
.PHONY: override_dh_install-arch get-orig-source

## ntopng 3.8.1+dfsg1

=== debian/changelog ===
ntopng (3.8.1+dfsg1-1build2) groovy; urgency=medium

  * Rebuild against new libjson-c5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Aug 2020 11:56:07 +0200

ntopng (3.8.1+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:38:11 +0100

ntopng (3.8.1+dfsg1-1) unstable; urgency=medium

  [ Ludovico Cavedon ]
  * New upstream version 3.8.1+dfsg1
  * Bump build-dependency on libndpi >= 3.0
  * Move calls to dpkg-maintscript-helper to ntopng.maintscript
  * Update Standards-Version to 4.4.1

  [ Faidon Liambotis ]
  * Remove spurious dependency on libgeoip-dev

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 25 Dec 2019 00:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
                dpkg (>= 1.15.7.2),
                libcap-dev,
                libcurl4-gnutls-dev,
-               libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
                liblua5.3-dev,
                libmaxminddb-dev,
-               libndpi-dev (>= 2.6),
+               libndpi-dev (>= 3.0~),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
@@ -28,7 +27,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                libssl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://salsa.debian.org/debian/ntopng.git
 Vcs-Browser: https://salsa.debian.org/debian/ntopng
@@ -42,7 +41,6 @@
     lsb-base (>= 3.0-6),
     ntopng-data (= ${source:Version}),
     redis-server (>= 2.6),
-Suggests: geoip-database-contrib (>= 1.12)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
  ntopng is the next generation version of the original ntop, a network
  traffic probe that shows the network usage, similar to what the popular

## ntopng 5.2.1%2Bdfsg1

=== debian/changelog ===
ntopng (5.2.1+dfsg1-2ubuntu1) plucky; urgency=medium

  * d/p/sphinx-fix-intersphinx_mapping.patch: Fix intersphinx_mapping
    to match usage in current sphinx version

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 26 Feb 2025 11:48:09 -0500

ntopng (5.2.1+dfsg1-2build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:48:54 -0500

ntopng (5.2.1+dfsg1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop old lintian override

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    4-6.
  * Wrap long lines in changelog entries: 5.2.1+dfsg1-1.
  * Remove an obsolete maintscript entry.
  * Update standards version to 4.6.1, no changes needed.

  [ Dan Bungert ]
  * Fix FTBFS due to use of deprecated sphinx add_stylesheet (LP: #2051302)
  * Fix FTBFS due to issue in coffeescript (LP: #2051300) (Closes: #1013302)

  [ Chris Hofstaedtler ]
  * Switch Build-Depends: from pkg-config to pkgconf
  * Drop Depends: on obsolete lsb-base
  * Add missing Pre-Depends: ${misc:Pre-Depends}

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Jun 2024 20:23:18 +0200

ntopng (5.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 5.2.1+dfsg1 (Closes: #977805)
  * Refresh patches for new release
  * Update doc files for new release
  * Bump compat level to 13
  * Drop autoconf dependency, already pulled in by new debhelper
  * Drop --systemd switch, automatic now with new compat level
  * Update brokwn symlinks (Closes: #989115)
  * Update copyright years and files for new release.
  * Drop old dbgsym migration code
  * Skip swaggerdoc build and use uglifyjs version 3 instead of node-uglify
    (Closes: #979932)
  * Bump std-version to 4.6.0, no changes required. Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Apr 2022 13:20:09 +0200

## ntopng 5.2.1+dfsg1

=== packages/macos/Makefile ===
#
# Change it according to your setup
#
NTOPNG_HOME=$(PWD)/../..
NTOPNG_BUILD=${NTOPNG_HOME}/packages/macos/install

all: clean ntopng-build

ntopng-build:
	if test -e "./install"; then /bin/rm -f install; fi
	\mkdir -p ${NTOPNG_BUILD}/usr/local/bin ${NTOPNG_BUILD}/usr/local/etc/ntopng ${NTOPNG_BUILD}/usr/local/share/man/man8
	\mkdir -p ${NTOPNG_BUILD}/usr/local/opt/ntopng ${NTOPNG_BUILD}/usr/local/share/ntopng/httpdocs/geoip ./install/
	cd $(NTOPNG_HOME); make ; cp ntopng ${NTOPNG_BUILD}/usr/local/bin/ntopng-bin
	cp ./ntopng ${NTOPNG_BUILD}/usr/local/bin/
	cp ./uninstall.sh ${NTOPNG_BUILD}/usr/local/bin/ntopng-uninstall.sh
	cp ./ntopng-macos.conf ${NTOPNG_BUILD}/usr/local/etc/ntopng/ntopng.conf
	@echo "Copying library dependencies..."
	./copylibs.sh ${NTOPNG_BUILD}/usr/local/opt/ntopng

	cp redis-server ${NTOPNG_BUILD}/usr/local/bin/redis-server-bin
	cp /usr/local/bin/redis-server ${NTOPNG_BUILD}/usr/local/bin/ntopng-redis-server

	cp ../../httpdocs/geoip/dbip-asn-*.mmdb ../../httpdocs/geoip/dbip-country-*.mmdb ${NTOPNG_BUILD}/usr/local/share/ntopng/httpdocs/geoip

	cp $(NTOPNG_HOME)/ntopng.8 ${NTOPNG_BUILD}/usr/local/share/man/man8
	cp -RL $(NTOPNG_HOME)/httpdocs ${NTOPNG_BUILD}/usr/local/share/ntopng
	mv $(NTOPNG_HOME)/scripts/lua/pro /tmp	
	cp -RL $(NTOPNG_HOME)/scripts ${NTOPNG_BUILD}/usr/local/share/ntopng
	/bin/rm -f ${NTOPNG_BUILD}/usr/local/share/ntopng/scripts/lua/pro
#	cp -R $(NTOPNG_HOME)/pro/scripts/lua ${NTOPNG_BUILD}/usr/local/share/ntopng/scripts/lua/pro
	mv /tmp/pro $(NTOPNG_HOME)/scripts/lua/pro
	mv ${NTOPNG_BUILD}/usr/local/share/ntopng/httpdocs/ssl/ntopng-cert.pem.dummy ${NTOPNG_BUILD}/usr/local/share/ntopng/httpdocs/ssl/ntopng-cert.pem
	mkdir ${NTOPNG_BUILD}/usr/local/share/ntopng/pro
	cp -r $(NTOPNG_HOME)/pro/httpdocs ${NTOPNG_BUILD}/usr/local/share/ntopng/pro
	cp -r $(NTOPNG_HOME)/pro/scripts ${NTOPNG_BUILD}/usr/local/share/ntopng/pro
	rm -rf ${NTOPNG_BUILD}/usr/local/share/ntopng/pro/scripts/lua/nedge
	cd ${NTOPNG_BUILD}/usr/local/share/ntopng/scripts/lua; ln -s ../../pro/scripts/lua pro; cd -

	find ${NTOPNG_BUILD}/usr/local/share/ntopng/pro -name "*.lua" -type f -exec ./compresslua.sh {} ';'

	rm -rf ${NTOPNG_BUILD}/etc/init.d
	find ${NTOPNG_BUILD}/usr/local/share/ntopng -name "*~"   | xargs /bin/rm -f
	find ${NTOPNG_BUILD}/usr/local/share/ntopng -name ".svn" | xargs /bin/rm -rf
	find ${NTOPNG_BUILD}/usr/local/share/ntopng -name ".git" | xargs /bin/rm -rf
	@find . -name "*#" -exec /bin/rm {} ';'
	@find . -name "*~" -exec /bin/rm {} ';'

clean:
	rm -rf *~ install

#cd ${NTOPNG_BUILD}/usr/local/share/ntopng/scripts/lua; rm -rf pro; ln -s ../../pro/scripts/lua pro

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: autoconf,
-               automake,
-               coffeescript,
-               debhelper (>= 10.8~),
+Build-Depends: coffeescript,
+               debhelper-compat (= 13),
                default-libmysqlclient-dev,
                doxygen,
                dpkg (>= 1.15.7.2),
@@ -15,30 +13,32 @@
                libjson-c-dev,
                liblua5.3-dev,
                libmaxminddb-dev,
-               libndpi-dev (>= 3.0~),
+               libndpi-dev,
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
                node-source-map,
-               node-uglify,
-               pkg-config,
+               uglifyjs,
+               pkgconf,
                python3-breathe,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                libssl-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://salsa.debian.org/debian/ntopng.git
 Vcs-Browser: https://salsa.debian.org/debian/ntopng
 
 Package: ntopng
 Architecture: any
+Pre-Depends:
+    ${misc:Pre-Depends},
 Depends:
     adduser,
     ${misc:Depends},
     ${shlibs:Depends},
-    lsb-base (>= 3.0-6),
     ntopng-data (= ${source:Version}),
     redis-server (>= 2.6),
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export PYTHON_SKIP_SWAGGERDOC=1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	./autogen.sh
@@ -17,7 +18,7 @@
 override_dh_auto_build:
 	# Make sure we rebuild the minified files from the upstream tarball.
 	$(MAKE) -C httpdocs/js clean
-	$(MAKE) -C httpdocs/js minify
+	$(MAKE) -C httpdocs/js minify UGLIFY_VERSION=3
 	dh_auto_build
 	mkdir -p debian/generated-code/
 	coffee -c -o debian/generated-code/ debian/missing-sources/gauge.coffee
@@ -29,9 +30,6 @@
 	dh_installdocs -pntopng
 	dh_installdocs -pntopng-data
 	dh_installdocs -pntopng-doc --doc-main-package=ntopng --exclude=fonts
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'
 
 override_dh_install-indep:
 	dh_install --indep \
